View Issue Details

IDProjectCategoryView StatusLast Update
0002936SOGoWeb Mailpublic2014-09-29 15:35
Reporteresco Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.9 
Fixed in Version2.2.9 
Summary0002936: UTF8 subject stops loading folder (or complete account)
Description

Hello,

since upgrade to 2.2.9 I my inbox didn't load anymore.

After some research I found the problem. It only happens if there are mails containing the following form of the subject:


Subject: Test =?UTF-8?Q?f=C3=BCr_plattform=C3=BCbergreifende=00?=
Test =?UTF-8?Q?verf=C3=BCgbar=00?=


I don't know if this is malformed or something. But even if it is, it shouldn't block the loading of the complete folder. If this mail is in INBOX it blocks the complete IMAP account.

Thanks,
esco

TagsNo tags attached.

Activities

ludovic

ludovic

2014-09-29 10:26

administrator   ~0007565

Attach a test message to this ticket.

esco

esco

2014-09-29 10:42

reporter  

testmail.txt (430 bytes)   
Return-Path: <test@example.com>
Delivered-To: test@example.com
Content-Type: text/plain; charset=iso-8859-15; format=flowed; delsp=yes
To: test@example.com
Date: Mon, 29 Sep 2014 16:35:35 +0200
Subject: Test =?UTF-8?Q?f=C3=BCr_plattform=C3=BCbergreifende=00?=
  Test =?UTF-8?Q?verf=C3=BCgbar=00?=
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: <test@example.com>
Message-ID: <op.xmydhlh8rxujky@test>

test

testmail.txt (430 bytes)   
esco

esco

2014-09-29 10:43

reporter   ~0007566

Ok, added an example.

ludovic

ludovic

2014-09-29 10:55

administrator   ~0007567

You have a NULL character (=00) in your subject. While we shouldn't break on this, the message is broken.

esco

esco

2014-09-29 11:03

reporter   ~0007568

Last edited: 2014-09-29 11:09

Yes, but imho blocking an account with an simple message shouldn't be possible?

In other words: I cannot contact every spam sender which ignores the RFCs ;)

ludovic

ludovic

2014-09-29 11:12

administrator   ~0007570

I said exactly that, we shouldn't break on this.

esco

esco

2014-09-29 11:15

reporter   ~0007571

Ah, ok. Sorry, I misunderstood that.

Issue History

Date Modified Username Field Change
2014-09-27 16:30 esco New Issue
2014-09-29 10:26 ludovic Note Added: 0007565
2014-09-29 10:42 esco File Added: testmail.txt
2014-09-29 10:43 esco Note Added: 0007566
2014-09-29 10:55 ludovic Note Added: 0007567
2014-09-29 11:03 esco Note Added: 0007568
2014-09-29 11:09 esco Note Edited: 0007568
2014-09-29 11:12 ludovic Note Added: 0007570
2014-09-29 11:15 esco Note Added: 0007571
2014-09-29 15:35 ludovic Status new => resolved
2014-09-29 15:35 ludovic Fixed in Version => 2.2.9
2014-09-29 15:35 ludovic Resolution open => fixed
2014-09-29 15:35 ludovic Assigned To => ludovic